# Delete Robot Accounts

> Deletes multiple robot accounts from an organization, based on the organization ID.

Deletes multiple robot accounts from an organization, based on the organization ID.

## API Endpoint

`DELETE` `{accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

## Scopes

Requires the following scopes:

* PM.RobotAccount
* PM.RobotAccount.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/test-cloud/automation-cloud/latest/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId`  (required) | String | The ID of the organization you want to retrieve the robot accounts for. |

## Request Body

The request body contains the list of robot accounts IDs you want to bulk delete from the organization.

```
{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}
```

## Responses

### 200 OK

The indicated robot accounts are deleted from the organization.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: https://cloud.uipath.com/{organizationName}/identity_
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* The robot accounts you want to delete have the following IDs:
  + Bot1: `11-xy`
  + Bot2: `22-tz`

The call should resemble the following example (cURL):

```
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
```
